## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EClass2EditPart.ClassFigure

    java.lang.Object
      GradientRectangleFigure
          org.eclipse.emf.ecoretools.diagram.edit.parts.EClass2EditPart.ClassFigure

Enclosing class:
  EClass2EditPart

    public class EClass2EditPart.ClassFigure

extends GradientRectangleFigure

Constructor Summary
`EClass2EditPart.ClassFigure()`

Method Summary
`void` `addFromLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureClassNameLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureFromLabel()`
`void` `removeFromLabel()`
`protected void` `setUseLocalCoordinates(boolean useLocalCoordinates)`
`void` `updateFromLabel(java.lang.String text)`
`protected boolean` `useLocalCoordinates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EClass2EditPart.ClassFigure

    public EClass2EditPart.ClassFigure()

Method Detail

### useLocalCoordinates

    protected boolean useLocalCoordinates()

### setUseLocalCoordinates

    protected void setUseLocalCoordinates(boolean useLocalCoordinates)

### getFigureClassNameLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureClassNameLabel()

### addFromLabel

    public void addFromLabel()

### getFigureFromLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureFromLabel()

### updateFromLabel

    public void updateFromLabel(java.lang.String text)

### removeFromLabel

    public void removeFromLabel()

Copyright 2007 Anyware Technologies. All Rights Reserved.